NotBoundException (Java Platform SE 8 )
Keywords: java.rmi.NotBoundException class
Date: 2026-04-17

compact2, compact3
java.rmi

## Class NotBoundException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.rmi.NotBoundException

- All Implemented Interfaces:
    Serializable

      public class NotBoundException
      extends Exception

  A `NotBoundException` is thrown if an attempt is made to lookup or unbind in the registry a name that has no associated binding.
  Since:
    JDK1.1
  See Also:
    `Naming.lookup(String)`, `Naming.unbind(String)`, `Registry.lookup(String)`, `Registry.unbind(String)`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NotBoundException()` Constructs a `NotBoundException` with no specified detail message.
    `NotBoundException(String s)` Constructs a `NotBoundException` with the specified detail message.

  - ### Method Summary

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NotBoundException

          public NotBoundException()

      Constructs a `NotBoundException` with no specified detail message.
      Since:
        JDK1.1

    - #### NotBoundException

          public NotBoundException(String s)

      Constructs a `NotBoundException` with the specified detail message.
      Parameters:
        `s` - the detail message
      Since:
        JDK1.1

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.